Bug 2054211 (CVE-2022-23634) - CVE-2022-23634 rubygem-puma: rubygem-rails: information leak between requests
Summary: CVE-2022-23634 rubygem-puma: rubygem-rails: information leak between requests
Keywords:
Status: NEW
Alias: CVE-2022-23634
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 2054212 2054213 2058653 2058654
Blocks: 2054214
TreeView+ depends on / blocked
 
Reported: 2022-02-14 12:53 UTC by Marian Rehak
Modified: 2022-05-31 13:37 UTC (History)
33 users (show)

Fixed In Version: rubygem-puma 5.6.2, rubygem-puma 4.3.11, rubygem-rails 7.02.2, rubygem-rails 6.1.4.6, rubygem-rails 6.0.4.6, rubygem-rails 5.2.6.2
Doc Type: If docs needed, set a value
Doc Text:
A flaw was found in Puma and Rails rubygems when response bodies were not closed under certain situations. This flaw allows an attacker, by iterating certain requests, to take advantage of this issue and affect CurrentAttributes, leading to leaked data.
Clone Of:
Environment:
Last Closed:


Attachments (Terms of Use)

Description Marian Rehak 2022-02-14 12:53:47 UTC
Puma may not always call `close` on the response body. Rails depended on the response body being closed in order for its `CurrentAttributes` implementation to work correctly.

References:

https://github.com/advisories/GHSA-rmj8-8hhh-gv5h
https://github.com/advisories/GHSA-wh98-p28r-vrc9

Comment 1 Marian Rehak 2022-02-14 12:54:13 UTC
Created rubygem-puma tracking bugs for this issue:

Affects: fedora-all [bug 2054212]


Created rubygem-rails tracking bugs for this issue:

Affects: fedora-all [bug 2054213]


Note You need to log in before you can comment on or make changes to this bug.